<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container.invalidation-cache.component.expiration" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="interval,lifespan,max-idle"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,invalidation-cache,component"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.invalidation-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="max-idle" nillable="true" stability="default"/>
        <param name="invalidation-cache" feature-id="true"/>
        <param name="component" feature-id="true" default="expiration"/>
        <param name="lifespan" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="interval" nillable="true" stability="default"/>
    </params>
</feature-spec>